MCP Tools Reference: paydeveloper.googleapis.com

Tool: delete_principal

Deletes a principal's (user's) access to a specific merchant. This operation requires Admin access for the merchant.

The following code sample shows how to use curl to call the delete_principal MCP tool.

Curl Request
curl --location 'https://paydeveloper.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "delete_principal",
    "arguments": {
      // Provide these details according to the MCP tool specification.
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Request message for deleting a principal from a merchant.

DeletePrincipalRequest

JSON representation
{
  "merchantId": string,
  "email": string
}
Fields
merchantId

string

Required. The merchant id, from which to delete the principal.

email

string

Required. The email address of the principal whose access should be deleted.

Output Schema

Response message for deleting a principal from a merchant.

Tool Annotations

Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.

Along with the title string, the following boolean hints are defined as follows:

  • readOnlyHint: If true, the tool doesn't modify its environment. Default: false.
  • destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
  • idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
  • openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ✅ | Idempotent Hint: ✅ | Read Only Hint: ❌ | Open World Hint: ❌